Skip to main content
GET
Get Conversation Users

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Query Parameters

agent_id
string | null

Agent id (agent_...) or speech engine external id (seng_), resolved to the same underlying resource.

Example:

"agent_3701k3ttaq12ewp8b7qv5rfyszkz"

branch_id
string | null

Filter conversations by branch ID.

call_start_before_unix
integer | null

Unix timestamp (in seconds) to filter conversations up to this start date.

call_start_after_unix
integer | null

Unix timestamp (in seconds) to filter conversations after to this start date.

search
string | null

Search/filter by user ID (exact match).

page_size
integer
default:30

How many users to return at maximum. Defaults to 30.

Required range: 1 <= x <= 100
sort_by
enum<string>
default:last_contact_unix_secs

The field to sort the results by. Defaults to last_contact_unix_secs.

Available options:
last_contact_unix_secs,
conversation_count
cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

users
ConversationUserResponseModel · object[]
required
has_more
boolean
required
next_cursor
string | null